<?php

// 05.12.24 - Webbax | Script pour désactiver les employés inactifs depuis plus d'une semaine (avec debug)

require(dirname(__FILE__).'/../../config/config.inc.php');

// Vérification du token
$token = Tools::getValue('token');
if($token != 'h23x2x'){ die('bad token'); }

// Option de debug
$debug = Tools::getValue('debug', false); // Passer ?debug=1 dans l'URL pour activer le debug

// Calcul de la date limite (une semaine avant aujourd'hui)
$date_limit = date('Y-m-d H:i:s', strtotime('-1 week'));

// Récupération des employés concernés
$sql_select = 'SELECT `id_employee`, `firstname`, `lastname`, `email`, `last_connection_date` 
               FROM '._DB_PREFIX_.'employee 
               WHERE `email` != "demo@demo.com"
               AND `last_connection_date` IS NOT NULL
               AND `last_connection_date` < "'.$date_limit.'"';

$employees = Db::getInstance()->executeS($sql_select);

// Si debug est activé, afficher les employés concernés
if ($debug) {
    if (empty($employees)) {
        echo 'Aucun employé ne sera impacté.';
    } else {
        echo 'Employés concernés par la désactivation :<br>';
        foreach ($employees as $employee) {
            echo 'ID : '.$employee['id_employee'].' | Nom : '.$employee['firstname'].' '.$employee['lastname'].' | Email : '.$employee['email'].' | Dernière connexion : '.$employee['last_connection_date'].'<br>';
        }
    }
    exit; // Ne pas exécuter la mise à jour si debug est activé
}

// Mise à jour des employés inactifs
$sql_update = 'UPDATE '._DB_PREFIX_.'employee 
               SET `active` = 0 
               WHERE `email` != "demo@demo.com"
               AND `last_connection_date` IS NOT NULL
               AND `last_connection_date` < "'.$date_limit.'"';
$affected_rows = Db::getInstance()->execute($sql_update);

// Affichage du résultat
echo $affected_rows.' employés désactivés.';

?>